## openttd-opensfx 0.2.3

=== Makefile ===
# Generic NewGRF Makefile

# Name of the Makefile which contains all the settings which describe
# how to make this newgrf. It defines all the paths, the grf name,
# the files for a bundle etc.
MAKEFILE_CONFIG=Makefile.config
MAKEFILE=Makefile

# Name of the Makefile which contains the local settings. It overrides
# the global settings in Makefile.config.
MAKEFILE_LOCAL=Makefile.local
MAKEFILE_DEF=scripts/Makefile.def
MAKEFILE_BUNDLES=scripts/Makefile.bundles
MAKEFILE_COMMON=scripts/Makefile.common
MAKEFILE_IN=scripts/Makefile.in
MAKEFILE_DEP=Makefile.dep

# Include the project's configuration file
include ${MAKEFILE_CONFIG}

# this overrides definitions from above by individual settings
# (if applicable):
-include ${MAKEFILE_LOCAL}

# include the universal Makefile definitions for NewGRF Projects
include ${MAKEFILE_DEF}

# Check dependencies for building all:
all: depend
	$(_V) $(MAKE) $(MAKE_FLAGS) -f $(MAKEFILE) $(MAIN_TARGET)
	
# Include dependencies (if applicable)
-include ${MAKEFILE_DEP}

# Include repo-specific rules (if applicable)
-include ${MAKEFILE_IN}

# Include rules commonly used for NewGRFs and bundle generation
include ${MAKEFILE_COMMON}
include ${MAKEFILE_BUNDLES}

=== debian/changelog ===
openttd-opensfx (0.2.3-6) unstable; urgency=medium

  * [2dd7176] Allow auto-building of this package

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 20 Jul 2018 11:42:21 +0200

openttd-opensfx (0.2.3-5) unstable; urgency=medium

  * [bfbc19b] Bump debhelper version to v11
  * [a51d969] Bump standards version to 4.1.4
  * [6fcf60f] Convert Priority: extra to optional
  * [2b2d772] Mark as Multi-arch: foreign
  * [6a69a59] Respect nocheck in DEB_BUILD_OPTIONS

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 10 May 2018 22:03:44 +0200

openttd-opensfx (0.2.3-4) unstable; urgency=medium

  * [0a93e67] Don't install as a tarball
  * [be40f52] Add lintian override for license.txt
  * [05e9885] Enable verbose building
  * [c8954e6] Update watch file, upstream changed download urls.
  * [259cd3d] Use canonical Vcs urls (on anonscm.debian.org).
  * [ec6dc37] Bump Standards-Version to 3.9.6, no changes required.
  * [4ade5a7] Install into /usr/share/games/openttd/baseset.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 23 Oct 2014 12:47:27 +0200

openttd-opensfx (0.2.3-3) unstable; urgency=low

  * [322f63b] Bump Standards-Version to 3.9.3, no changes required.
  * [8b61f27] Update copyright file to use the new copyright-format-1.0.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Wed, 18 Apr 2012 17:35:12 +0200

openttd-opensfx (0.2.3-2) unstable; urgency=low

  * [bea6451] Update watch file to new download location.
  * [a24f1a2] Bump Standards-Version to 3.9.2, no changes required.
  * [4be81b3] Reword description to comply with the policy.
  * [dc3d9b4] Reword the description again to remove the last traces of the
    word "free" from it.
    Thanks to Ivan Shmakov for the updated description (Closes: #647759)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Thu, 17 Nov 2011 15:02:31 +0100

openttd-opensfx (0.2.3-1) unstable; urgency=low

  [ Matthijs Kooijman ]
  * [9f4d281] New upstream release 0.2.3.
  * [5801386] Don't use "free" or "open source" to descripe OpenSFX.
    (Closes: #573952)
  * [487e4a1] Remove install-mkdir.patch, the issue was fixed upstream.
  * [bf7b68e] Enable md5 sum checking after build.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Fri, 02 Apr 2010 15:45:39 +0200

openttd-opensfx (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #571144)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Tue, 23 Feb 2010 22:09:04 +0100

=== debian/control ===
Source: openttd-opensfx
Section: non-free/games
Priority: optional
Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
Uploaders: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper (>= 11), catcodec
Standards-Version: 4.1.4
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opensfx
Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opensfx.git
Homepage: http://dev.openttdcoop.org/projects/opensfx

Package: openttd-opensfx
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: sound set for use with the OpenTTD game
 OpenSFX is a replacement for the original TTD (Transport Tycoon Deluxe) base
 sounds used by OpenTTD, distributed under a restrictive license.  The main
 goal of OpenSFX therefore is to provide a set of sounds, available free of
 charge, which make it possible to play OpenTTD without requiring the user to
 pay for the original Transport Tycoon Deluxe game for its sound set.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@

INSTALL_ROOT=debian/openttd-opensfx
DATA_DIR=usr/share/games/openttd/baseset/opensfx
DOC_DIR=/usr/share/doc/openttd-opensfx

OPTIONS=
OPTIONS += "_V="

override_dh_auto_build:
	make $(OPTIONS)

override_dh_auto_install:
	mkdir -p "$(INSTALL_ROOT)/$(DATA_DIR)"
	make bundle $(OPTIONS) "DIR_NAME=$(INSTALL_ROOT)/$(DATA_DIR)"
	# In the datadir, replace the readme and changelog with symlinks
	# to /usr/share/doc to save space.
	dh_link $(DOC_DIR)/readme.txt $(DATA_DIR)/readme.txt
	dh_link $(DOC_DIR)/changelog $(DATA_DIR)/changelog.txt

override_dh_installdocs:
	dh_installdocs docs/readme.txt

override_dh_installchangelogs:
	dh_installchangelogs docs/changelog.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Check if the md5 sums of the files match. This ensures no
	# problems will arise in online play, which uses both version
	# info and md5 sums of files. We don't use dh_auto_test here,
	# because "make test" is also supported, but gives debug output.
	make check $(OPTIONS)
endif

override_dh_auto_clean:
	# Don't use dh_auto_clean. It thinks make distclean is valid becaue
	# it generates output (dependency analysis) before erroring out.
	make clean $(OPTIONS)

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://www.openttd.org/en/download-opensfx \
.*/opensfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openttd-opensfx 1.0.3

=== Makefile ===
#
# This file is part of the NML build framework
# NML build framework is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
# NML build framework is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with NML build framework. If not, see <http://www.gnu.org/licenses/>.
#

SHELL := /bin/bash

-include Makefile.config

##################################################################
#
# For easy updates you can copy these basic definitions in
# Makefile.config
# and place that next to the Makefile. This will allow easy
# updates to the generic Makefile
#
##################################################################

# Definition of the grfs
REPO_NAME           ?= OpenSFX

# This is the filename part common to the grf file, main source file and the tar name
BASE_FILENAME       ?= opensfx

# Documentation files
DOC_FILES ?= docs/readme.txt docs/license.txt docs/changelog.txt

# Possible offset to baseset version. Increase by one, if a release
# branch is added to the repository
REPO_BRANCH_VERSION ?= 0

# Directory structure
SCRIPT_DIR          ?= build-common

# Uncomment in order to make use of gimp scripting. See the file
# for a description of the format
# GFX_SCRIPT_LIST_FILES      := gfx/png_source_list

# If needed, declare the minimum NML requirements
# REQUIRED_NML_BRANCH  = 0.3
# MIN_NML_REVISION     = 0

##################################################################
#
# Everything below here usually need not change for simple basesets
#
##################################################################

# Define the filenames of the grf and nml file. They must be in the main directoy
GRF_FILE            ?= $(BASE_FILENAME).grf
NML_FILE            ?= $(BASE_FILENAME).nml
# uncomment MAIN_SRC_FILE if you do not want any preprocessing to happen to your source file
MAIN_SRC_FILE       ?= $(BASE_FILENAME).pnml

# List of all files which will get shipped
# documentation files: readme, changelog and license, usually $(DOC_FILES)
# grf file: the above defined grf file, usualls $(GRF_FILE)
# Add any additional, not usual files here, too, including
# their relative path to the root of the repository
BUNDLE_FILES           ?= $(GRF_FILE) $(DOC_FILES)

# Replacement strings in the source and in the documentation
# You may only change the values, not add new definitions
# (unless you know where to add them in other places, too)
REPLACE_TITLE       := {{GRF_TITLE}}
REPLACE_GRFID       := {{GRF_ID}}
REPLACE_REVISION    := {{REPO_REVISION}}
REPLACE_FILENAME    := {{FILENAME}}

GENERATE_GRF  ?= grf
GENERATE_PNML ?= pnml
GENERATE_NML  ?= nml
GENERATE_GFX  ?= gfx
GENERATE_DOC  ?= doc
GENERATE_LNG  ?= lng

# target 'all' must be first target
all: $(GENERATE_GRF) $(GENERATE_DOC) bundle_tar

-include Makefile.in

# general definitions (no rules!)
-include Makefile.dist
.PHONY: all clean distclean doc bundle bundle_bsrc bundle_bzip bundle_gsrc bundle_src bundle_tar bundle_xsrc bundle_xz bundle_zip bundle_zsrc check

# We want to disable the default rules. It's not c/c++ anyway
.SUFFIXES:

# Don't delete intermediate files
.PRECIOUS: %.nml %.scm %.png
.SECONDARY: %.nml %.scm %.png

################################################################
# Programme definitions / search paths
################################################################
MAKE           ?= make
MAKE_FLAGS     ?= -r

NML            ?= $(shell which nmlc 2>/dev/null)
NML_FLAGS      ?= -c
ifdef REQUIRED_NML_BRANCH
	NML_BRANCH = $(shell nmlc --version | head -n1 | cut -d. -f1-2)
endif
ifdef MIN_NML_REVISION
	NML_REVISION = $(shell nmlc --version | head -n1 | cut -dr -f2 | cut -d: -f1)
endif

ifdef MAIN_SRC_FILE
	CC             ?= $(shell which gcc 2>/dev/null)
	CC_FLAGS       ?= -C -E -nostdinc -x c-header
endif

AWK            ?= awk

GREP           ?= grep

GIT            ?= $(shell git status >/dev/null 2>/dev/null && which git 2>/dev/null)

PYTHON         ?= python

UNIX2DOS       ?= $(shell which unix2dos 2>/dev/null)
UNIX2DOS_FLAGS ?= $(shell [ -n $(UNIX2DOS) ] && $(UNIX2DOS) -q --version 1>&2 2>/dev/null && echo "-q" || echo "")

################################################################
#
# Working copy / bundle version detection.
#
################################################################

# Always run version detection, so we always have an accurate modified
# flag
REPO_VERSIONS := $(shell AWK="$(AWK)" "./findversion.sh")

# Use autodetected revisions
REPO_VERSION ?= $(shell echo "$(REPO_VERSIONS)" | cut -f 1 -d'	')
REPO_DATE ?= $(shell echo "$(REPO_VERSIONS)" | cut -f 2 -d'	')
REPO_HASH ?= $(shell echo "$(REPO_VERSIONS)" | cut -f 4 -d'	')

# Days of commit since 2000-01-01. REPO_DATE is in format YYYYMMDD.
REPO_DATE_YEAR := $(shell echo "${REPO_DATE}" | cut -b1-4)
REPO_DATE_MONTH := $(shell echo "${REPO_DATE}" | cut -b5-6 | sed s/^0//)
REPO_DATE_DAY := $(shell echo "${REPO_DATE}" | cut -b7-8 | sed s/^0//)
REPO_DAYS_SINCE_2000 := $(shell $(PYTHON) -c "from datetime import date; print( (date($(REPO_DATE_YEAR),$(REPO_DATE_MONTH),$(REPO_DATE_DAY))-date(2000,1,1)).days)")

REPO_TAGS      ?= $(REPO_VERSION)

# The version reported to OpenTTD. Usually days since 2000 + branch offset
NEWGRF_VERSION ?= $(shell let x="$(REPO_DAYS_SINCE_2000) + 65536 * $(REPO_BRANCH_VERSION)"; echo "$$x")

# The shown version is either a tag, or in the absence of a tag the revision.
REPO_VERSION_STRING ?= $(shell [ -n "$(REPO_TAGS)" ] && echo $(REPO_TAGS) || echo $(REPO_DATE)$(REPO_BRANCH_STRING) \($(NEWGRF_VERSION):$(REPO_HASH)\))

# The title consists of name and version
REPO_TITLE     ?= $(REPO_NAME) $(REPO_VERSION_STRING)

# Remove the @ when you want a more verbose output.
_V ?= @
_E ?= @echo

distclean:: clean
maintainer-clean:: distclean

# target nml
################################################################
# Pre-processing and generation of $(NML_FILE)
################################################################

# ifdef $(MAIN_SRC_FILE)
pnml:

nml: $(GENERATE_PNML)
	$(_E) "[CPP] $(NML_FILE)"
	$(_V) $(CC) -D REPO_REVISION=$(NEWGRF_VERSION) -D NEWGRF_VERSION=$(NEWGRF_VERSION) $(CC_USER_FLAGS) $(CC_FLAGS) -o $(NML_FILE) $(MAIN_SRC_FILE)

clean::
	$(_E) "[CLEAN NML]"
	$(_V)-rm -rf $(NML_FILE)
# else
# nml:
# endif

# target 'gfx' which builds all needed sprites
# Only a special gfx target for gimp exists so far
################################################################
# Targets related to creation of graphics files
################################################################
# Dependency on source list file via dep check
ifdef GFX_SCRIPT_LIST_FILES
# include dependency file, if we generate graphics
-include Makefile_gfx.dep

GIMP           ?= $(shell [ `which gimp 2>/dev/null` ] && echo "gimp" || echo "")
GIMP_FLAGS     ?= -n -i -b - <

%.scm: $(SCRIPT_DIR)/gimpscript $(SCRIPT_DIR)/gimp.sed
	$(_E) "[GIMP-SCRIPT] $@"
	$(_V) cat $(SCRIPT_DIR)/gimpscript > $@
	$(_V) cat $(GFX_SCRIPT_LIST_FILES) | grep $(patsubst %.scm,%.png,$@) | sed -f $(SCRIPT_DIR)/gimp.sed >> $@
	$(_V) echo "(gimp-quit 0)" >> $@

# create the png file. And make sure it's re-created even when present in the repo
%.png: %.scm
	$(_E) "[GIMP] $@"
	$(_V) $(GIMP) $(GIMP_FLAGS) $< >/dev/null

Makefile_gfx.dep: $(GFX_SCRIPT_LIST_FILES) Makefile
	$(_E) "[GFX-DEP] $@"
	$(_V) echo "" > $@
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do echo "$$i.scm: $$j" >> $@; echo "$(GRF_FILE): $$i.png" >> $@; done; done
	$(_V) cat $(GFX_SCRIPT_LIST_FILES) | grep "\([pP][cCnN][xXgG]\)" | grep -v "^#" | sed "s/[ ] */ /g" | cut -d\  -f1-2 | sed "s/ /: /g" >> $@

gfx: Makefile_gfx.dep

maintainer-clean::
	$(_E) "[MAINTAINER CLEAN GFX]"
	$(_V) rm -rf Makefile_gfx.dep
	$(_V) for j in $(GFX_SCRIPT_LIST_FILES); do for i in `cat $$j | grep "\([pP][cCnN][xXgG]\)" | cut -d\  -f1 | sed "s/\.\([pP][cCnN][xXgG]\)//"`; do rm -rf $$i.scm; rm -rf $$i.png; done; done
else
gfx:
endif

#####################################################
# target 'lng' which builds the lang/*.lng files
#####################################################
lng: custom_tags.txt

custom_tags.txt: $(GENERATE_NML)
	$(_E) "[LNG] $@"
	$(_V) echo "VERSION        :$(REPO_VERSION_STRING)" > $@
	$(_V) echo "VERSION_STRING :$(REPO_VERSION_STRING)" >> $@
	$(_V) echo "TITLE          :$(REPO_TITLE)" >> $@
	$(_V) echo "FILENAME       :$(GRF_FILE)" >> $@
	$(_V) echo "REPO_DATE      :$(REPO_DATE)" >> $@
	$(_V) echo "REPO_HASH      :$(REPO_HASH)" >> $@
	$(_V) echo "REPO_BRANCH    :$(REPO_BRANCH)" >> $@
	$(_V) echo "NEWGRF_VERSION :$(NEWGRF_VERSION)" >> $@
	$(_V) echo "DAYS_SINCE_2K  :$(REPO_DAYS_SINCE_2000)" >> $@

clean::
	$(_E) "[CLEAN LNG]"
	$(_V)-rm -rf custom_tags.txt

################################################################
# grf - specific rules
# target 'grf' which builds the grf from the nml
################################################################

grf: $(GENERATE_GFX) $(GENERATE_NML) $(GENERATE_LNG)
	$(_E) "[NML] $(GRF_FILE)"
ifeq ($(NML),)
	$(_E) "No NML compiler found!"
	$(_V) false
endif
ifdef REQUIRED_NML_BRANCH
ifneq ($(REQUIRED_NML_BRANCH),$(NML_BRANCH))
	$(_E) "Wrong NML version. This baseset requires an NML from the $(REQUIRED_NML_BRANCH) branch, but $(NML_BRANCH) found."
	$(_V) false
endif
endif
ifdef MIN_NML_REVISION
ifeq ($(shell [ "$(NML_REVISION)" -lt "$(MIN_NML_REVISION)" ] && echo "true" || echo "false"),true)
	$(_E) "Too old NML revision. At least r$(MIN_NML_REVISION) is required, but r$(NML_REVISION) found."
	$(_V) false
endif
endif
	$(_V) $(NML) $(NML_FLAGS) --grf $(GRF_FILE) $(NML_FILE)

$(GRF_FILE): $(GENERATE_GRF)

clean::
	$(_E) "[CLEAN GRF]"
	$(_V)-rm -rf $(GRF_FILE)
	$(_V)-rm -rf $(GRF_FILE).cache
	$(_V)-rm -rf $(GRF_FILE).cacheindex
	$(_V)-rm -rf parsetab.py

maintainer-clean::
	$(_E) "[MAINTAINER-CLEAN GRF]"
	$(_V) -rm -rf $(MD5_SRC_FILENAME)

###############################################################
# Documentation targets
# target 'doc' which builds the docs
################################################################

%.txt: %.ptxt
	$(_E) "[DOC] $@"
	$(_V) cat $< \
		| sed -e "s/$(REPLACE_TITLE)/$(REPO_TITLE)/" \
		| sed -e "s/$(REPLACE_GRFID)/$(GRF_ID)/" \
		| sed -e "s/$(REPLACE_REVISION)/$(NEWGRF_VERSION)/" \
		| sed -e "s/$(REPLACE_FILENAME)/$(OUTPUT_FILENAME)/" \
		> $@
	$(_V) [ -z "$(UNIX2DOS)" ] || $(UNIX2DOS) $(UNIX2DOS_FLAGS) $@

doc: $(DOC_FILES) $(GRF_FILE)

clean::
	$(_E) "[CLEAN DOC]"
	$(_V) -for i in $(patsubst %.txt,%,$(DOC_FILES)); do [ -f $$i.ptxt ] && [ -f $$i.txt ] && rm -rf $$i.txt || true; done

################################################################
# Bundle targets
# Binary bundle targets
################################################################
# target 'bundle' and bundle_xxx which builds the distribution files
# and the distribution bundles like bundle_tar, bundle_zip, ...

# Programme definitions
TAR            ?= $(shell which tar 2>/dev/null)
TAR_FLAGS      ?= -cf

ZIP            ?= $(shell which zip 2>/dev/null)
ZIP_FLAGS      ?= -9rq

GZIP           ?= $(shell which gzip 2>/dev/null)
GZIP_FLAGS     ?= -9f

BZIP           ?= $(shell which bzip2 2>/dev/null)
BZIP_FLAGS     ?= -9fk

XZ             ?= $(shell which xz 2>/dev/null)
XZ_FLAGS       ?= -efk

# OSX has nice extended file attributes which create their own file within tars. We don't want those, thus don't copy them
CP_FLAGS       ?= $(shell [ "$(OSTYPE)" = "Darwin" ] && echo "-rfX" || echo "-rf")

# Use the grfID programme to find the checksum which OpenTTD checks
GRFID          ?= $(shell which grfid 2>/dev/null)
GRFID_FLAGS    ?= -m

=== debian/changelog ===
openttd-opensfx (1.0.3-3) unstable; urgency=medium

  * [cfa8275] Add patch to clean generated .sfo file (Closes: #1047816)
  * [858f4e9] Bump standards version to 4.6.2 (no changes required)

 -- Matthijs Kooijman <matthijs@stdin.nl>  Sun, 26 Nov 2023 16:57:21 +0100

openttd-opensfx (1.0.3-2) unstable; urgency=medium

  * No changes, just bump version for source-only upload after binary upload
    to NEW.

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 24 Jan 2022 14:22:05 +0100

openttd-opensfx (1.0.3-1) unstable; urgency=medium

  * [ad9eb60] Update watch file
  * [3274eda] Add upstream metadata
  * [3dcecde] Bump standards version to 4.6.0 (no changes required)
  * [598ef40] New upstream release 1.0.3
  * [bd24177] Support DEB_BUILD_OPTIONS=terse
  * [5b64af2] Set Rules-Requires-Root: no for building
  * [dfab5f6] Bump debhelper version to v13
  * [087dcd5] Update upstream homepage
  * [e3ef4da] Adapt copyright file to new licensing
  * [22d3f3e] Move from non-free to main
  * [b992045] Add grfcodec to Build-Depends
  * [7a2827b] Disable MD5 sum checks for built files
  * [ab2de62] Use (and slightly patch) make install for installation

 -- Matthijs Kooijman <matthijs@stdin.nl>  Mon, 27 Dec 2021 16:08:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: openttd-opensfx
-Section: non-free/games
+Section: games
 Priority: optional
 Maintainer: Matthijs Kooijman <matthijs@stdin.nl>
 Uploaders: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11), catcodec
-Standards-Version: 4.1.4
-XS-Autobuild: yes
+Build-Depends: debhelper-compat (= 13), catcodec, grfcodec
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/openttd-team/openttd-opensfx
 Vcs-Git: https://salsa.debian.org/openttd-team/openttd-opensfx.git
-Homepage: http://dev.openttdcoop.org/projects/opensfx
+Homepage: https://github.com/OpenTTD/OpenSFX
+Rules-Requires-Root: no
 
 Package: openttd-opensfx
 Architecture: all

=== debian/watch ===
version=4

https://www.openttd.org/downloads/opensfx-releases/latest \
.*/opensfx-(\d.*)-source\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
